Get all the provider feed logs for a given plan Run in API Explorer
Ask AI
GET
/api/v1/plans/{plan_uuid}/provider-feed-logs
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/provider-feed-logs' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "a755d1cb-a07c-48c3-9764-8c1618c1b881",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"sub_account": {
"uuid": "df12fdec-922f-4282-b944-18c208c3c152",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"valued_at": "2026-07-17T15:25:36+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "30b9cd34-c410-4e2d-86b2-f4eb75723795",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"is_proposed": true,
"proposed_at": "2026-07-17T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"level": "info",
"message": "Successfully updated valuation and holdings from provider feed.",
"context": {
"additional": "info"
}
}